Agora RTC Objective-C API Reference Refactor

Data Fields
MediaRecorderConfiguration Struct Reference

## Data Fields
const char * | storagePath
MediaRecorderContainerFormat | containerFormat
MediaRecorderStreamType | streamType
int | maxDurationMs
int | recorderInfoUpdateInterval
int | width
int | height
int | fps
int | sample_rate
int | channel_num
agora::rtc::VIDEO_SOURCE_TYPE | videoSourceType

## Detailed Description

Configurations for the local audio and video recording.

Since
  v3.5.2

## Constructor & Destructor Documentation

## ◆ MediaRecorderConfiguration() [1/2]

MediaRecorderConfiguration | ( |  | ) |
| inline

## ◆ MediaRecorderConfiguration() [2/2]

MediaRecorderConfiguration | ( | const char * | path,
|  | MediaRecorderContainerFormat | format,
|  | MediaRecorderStreamType | type,
|  | int | duration,
|  | int | interval
| ) |  |
| inline

## Field Documentation

## ◆ storagePath

const char* storagePath

The absolute path (including the filename extensions) of the recording file. For example, `C:\Users\<user_name>\AppData\Local\Agora\<process_name>\example.mp4` on Windows, `/App Sandbox/Library/Caches/example.mp4` on iOS, `/Library/Logs/example.mp4` on macOS, and `/storage/emulated/0/Android/data/<package name>/files/example.mp4` on Android.

Note
  Ensure that the specified path exists and is writable.

## ◆ containerFormat

MediaRecorderContainerFormat containerFormat

The format of the recording file. See MediaRecorderContainerFormat.

## ◆ streamType

MediaRecorderStreamType streamType

The recording content. See MediaRecorderStreamType.

## ◆ maxDurationMs

int maxDurationMs

The maximum recording duration, in milliseconds. The default value is 120000.

## ◆ recorderInfoUpdateInterval

int recorderInfoUpdateInterval

The interval (ms) of updating the recording information. The value range is [1000,10000]. Based on the set value of `recorderInfoUpdateInterval`, the SDK triggers the onRecorderInfoUpdated callback to report the updated recording information.

## ◆ width

int width

The video width

## ◆ height

int height

The video height

## ◆ fps

int fps

The video fps

## ◆ sample_rate

int sample_rate

The audio sample rate

## ◆ channel_num

int channel_num

The audio channel nums

## ◆ videoSourceType

agora::rtc::VIDEO_SOURCE_TYPE videoSourceType

The video source just for out channel recoder